Bug 199346 - runuser needs a way of specifying which groups to use
runuser needs a way of specifying which groups to use
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: coreutils (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On: 199344
Blocks: 176344
  Show dependency treegraph
 
Reported: 2006-07-18 20:59 EDT by Russell Coker
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0213
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 18:54:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to fix this bug (3.92 KB, patch)
2006-07-18 20:59 EDT, Russell Coker
no flags Details | Diff

  None (edit)
Description Russell Coker 2006-07-18 20:59:54 EDT
The same problem described in bug 199344 for rawhide also applies to RHEL4.  I 
believe that this feature is worth adding if there is to be an errata for 
RHEL4 coreutils for another reason.

I have attached a patch to fix this.

Also I am running a network of RHEL3 and RHEL4 machines.  It would be handy if 
runuser could be added as an enhancement to RHEL3 so that I could use the same 
daemon start scripts on all systems.
Comment 1 Russell Coker 2006-07-18 20:59:55 EDT
Created attachment 132634 [details]
patch to fix this bug
Comment 3 RHEL Product and Program Management 2006-08-18 11:06:38 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Red Hat Bugzilla 2007-05-01 18:54:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0213.html

Note You need to log in before you can comment on or make changes to this bug.